<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.proxywidget.ProxyWidgetMixin&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.p.ProxyWidgetMixin(<span title="object">object</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.proxywidget.html">proxywidget</a></span>
      
      <a href="classIndex.html#kiwi.ui.proxywidget.ProxyWidgetMixin">View In Hierarchy</a>
    </p>
    <div>
      <p>Known subclasses: <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html">kiwi.ui.proxywidget.ValidatableProxyWidgetMixin</a>, <a href="kiwi.ui.widgets.button.ProxyButton.html">kiwi.ui.widgets.button.ProxyButton</a>, <a href="kiwi.ui.widgets.checkbutton.ProxyCheckButton.html">kiwi.ui.widgets.checkbutton.ProxyCheckButton</a>, <a href="kiwi.ui.widgets.colorbutton.ProxyColorButton.html">kiwi.ui.widgets.colorbutton.ProxyColorButton</a>, <a href="kiwi.ui.widgets.combo.ProxyComboBox.html">kiwi.ui.widgets.combo.ProxyComboBox</a>, <a href="kiwi.ui.widgets.filechooser.ProxyFileChooserButton.html">kiwi.ui.widgets.filechooser.ProxyFileChooserButton</a>, <a href="kiwi.ui.widgets.filechooser.ProxyFileChooserWidget.html">kiwi.ui.widgets.filechooser.ProxyFileChooserWidget</a>, <a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html">kiwi.ui.widgets.fontbutton.ProxyFontButton</a>, <a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a>, <a href="kiwi.ui.widgets.radiobutton.ProxyRadioButton.html">kiwi.ui.widgets.radiobutton.ProxyRadioButton</a>, <a href="kiwi.ui.widgets.scale.ProxyHScale.html">kiwi.ui.widgets.scale.ProxyHScale</a>, <a href="kiwi.ui.widgets.scale.ProxyVScale.html">kiwi.ui.widgets.scale.ProxyVScale</a></p>
    </div>
    <div><p>This class is a mixin that provide a common interface for 
KiwiWidgets.</p>
Usually the Proxy class need to set and get data from the widgets. It 
also need a validation framework.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Class Variables</td><td class="fieldArg">allowed_data_types</td><td>A list of types which we are allowed to use in this class.
</td></tr></table></div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id321">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#prop_set_data_type">prop_set_data_type</a></td>
    <td><span>Set the data type for the widget
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#set_data_format">set_data_format</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#set_options_for_datatype">set_options_for_datatype</a></td>
    <td><span>Set some options to be passed to the datatype converter.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#read">read</a></td>
    <td><span>Get the content of the widget.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#update">update</a></td>
    <td><span>Update the content value of the widget.
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#_as_string">_as_string</a></td>
    <td><span>Convert a value to a string
</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.proxywidget.ProxyWidgetMixin.html#_from_string">_from_string</a></td>
    <td><span>Convert a string to the data type of the widget
</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.ui.proxywidget.ValidatableProxyWidgetMixin.html">kiwi.ui.proxywidget.ValidatableProxyWidgetMixin</a>, <a href="kiwi.ui.widgets.button.ProxyButton.html">kiwi.ui.widgets.button.ProxyButton</a>, <a href="kiwi.ui.widgets.checkbutton.ProxyCheckButton.html">kiwi.ui.widgets.checkbutton.ProxyCheckButton</a>, <a href="kiwi.ui.widgets.colorbutton.ProxyColorButton.html">kiwi.ui.widgets.colorbutton.ProxyColorButton</a>, <a href="kiwi.ui.widgets.combo.ProxyComboBox.html">kiwi.ui.widgets.combo.ProxyComboBox</a>, <a href="kiwi.ui.widgets.filechooser.ProxyFileChooserButton.html">kiwi.ui.widgets.filechooser.ProxyFileChooserButton</a>, <a href="kiwi.ui.widgets.filechooser.ProxyFileChooserWidget.html">kiwi.ui.widgets.filechooser.ProxyFileChooserWidget</a>, <a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html">kiwi.ui.widgets.fontbutton.ProxyFontButton</a>, <a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a>, <a href="kiwi.ui.widgets.radiobutton.ProxyRadioButton.html">kiwi.ui.widgets.radiobutton.ProxyRadioButton</a>, <a href="kiwi.ui.widgets.scale.ProxyHScale.html">kiwi.ui.widgets.scale.ProxyHScale</a>, <a href="kiwi.ui.widgets.scale.ProxyVScale.html">kiwi.ui.widgets.scale.ProxyVScale</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin.prop_set_data_type"></a>
        <a name="prop_set_data_type"></a>
        <div class="functionHeader">
        
        def prop_set_data_type(self, data_type):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.ui.widgets.entry.ProxyEntry.html">kiwi.ui.widgets.entry.ProxyEntry</a>, <a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a></div>
          <div>Set the data type for the widget
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">data_type</td><td>can be None, a type object or a string with the name of the type object,
so None, &quot;&lt;type 'str'&gt;&quot; or 'str'
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin.set_data_format"></a>
        <a name="set_data_format"></a>
        <div class="functionHeader">
        
        def set_data_format(self, format):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin.set_options_for_datatype"></a>
        <a name="set_options_for_datatype"></a>
        <div class="functionHeader">
        
        def set_options_for_datatype(self, datatype, **options):
        
      </div>
        <div class="functionBody">
          
          <div>Set some options to be passed to the datatype converter. Any additional 
parameter will be passed the the converter when converting an object to a 
string, for displaying in the widget. Note that the converter.as_string 
method should be able to handle such parameters.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">datatype</td><td>the datatype.
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin.read"></a>
        <a name="read"></a>
        <div class="functionHeader">
        
        def read(self):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.ui.widgets.button.ProxyButton.html">kiwi.ui.widgets.button.ProxyButton</a>, <a href="kiwi.ui.widgets.checkbutton.ProxyCheckButton.html">kiwi.ui.widgets.checkbutton.ProxyCheckButton</a>, <a href="kiwi.ui.widgets.colorbutton.ProxyColorButton.html">kiwi.ui.widgets.colorbutton.ProxyColorButton</a>, <a href="kiwi.ui.widgets.combo.ProxyComboBox.html">kiwi.ui.widgets.combo.ProxyComboBox</a>, <a href="kiwi.ui.widgets.combo.ProxyComboBoxEntry.html">kiwi.ui.widgets.combo.ProxyComboBoxEntry</a>, <a href="kiwi.ui.widgets.combo.ProxyComboEntry.html">kiwi.ui.widgets.combo.ProxyComboEntry</a>, <a href="kiwi.ui.widgets.entry.ProxyDateEntry.html">kiwi.ui.widgets.entry.ProxyDateEntry</a>, <a href="kiwi.ui.widgets.entry.ProxyEntry.html">kiwi.ui.widgets.entry.ProxyEntry</a>, <a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html">kiwi.ui.widgets.fontbutton.ProxyFontButton</a>, <a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a>, <a href="kiwi.ui.widgets.radiobutton.ProxyRadioButton.html">kiwi.ui.widgets.radiobutton.ProxyRadioButton</a>, <a href="kiwi.ui.widgets.spinbutton.ProxySpinButton.html">kiwi.ui.widgets.spinbutton.ProxySpinButton</a>, <a href="kiwi.ui.widgets.textview.ProxyTextView.html">kiwi.ui.widgets.textview.ProxyTextView</a></div>
          <div>Get the content of the widget. The type of the return value
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">None if the user input a invalid value
 (type: Must matche the data-type property.
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin.update"></a>
        <a name="update"></a>
        <div class="functionHeader">
        
        def update(self, value):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overridden in <a href="kiwi.ui.widgets.button.ProxyButton.html">kiwi.ui.widgets.button.ProxyButton</a>, <a href="kiwi.ui.widgets.checkbutton.ProxyCheckButton.html">kiwi.ui.widgets.checkbutton.ProxyCheckButton</a>, <a href="kiwi.ui.widgets.colorbutton.ProxyColorButton.html">kiwi.ui.widgets.colorbutton.ProxyColorButton</a>, <a href="kiwi.ui.widgets.combo.ProxyComboBox.html">kiwi.ui.widgets.combo.ProxyComboBox</a>, <a href="kiwi.ui.widgets.combo.ProxyComboBoxEntry.html">kiwi.ui.widgets.combo.ProxyComboBoxEntry</a>, <a href="kiwi.ui.widgets.combo.ProxyComboEntry.html">kiwi.ui.widgets.combo.ProxyComboEntry</a>, <a href="kiwi.ui.widgets.entry.ProxyDateEntry.html">kiwi.ui.widgets.entry.ProxyDateEntry</a>, <a href="kiwi.ui.widgets.entry.ProxyEntry.html">kiwi.ui.widgets.entry.ProxyEntry</a>, <a href="kiwi.ui.widgets.fontbutton.ProxyFontButton.html">kiwi.ui.widgets.fontbutton.ProxyFontButton</a>, <a href="kiwi.ui.widgets.label.ProxyLabel.html">kiwi.ui.widgets.label.ProxyLabel</a>, <a href="kiwi.ui.widgets.radiobutton.ProxyRadioButton.html">kiwi.ui.widgets.radiobutton.ProxyRadioButton</a>, <a href="kiwi.ui.widgets.spinbutton.ProxySpinButton.html">kiwi.ui.widgets.spinbutton.ProxySpinButton</a>, <a href="kiwi.ui.widgets.textview.ProxyTextView.html">kiwi.ui.widgets.textview.ProxyTextView</a></div>
          <div>Update the content value of the widget.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">value</td><td></td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin._as_string"></a>
        <a name="_as_string"></a>
        <div class="functionHeader">
        
        def _as_string(self, data):
        
      </div>
        <div class="functionBody">
          
          <div>Convert a value to a string
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">data</td><td>data to convert
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.proxywidget.ProxyWidgetMixin._from_string"></a>
        <a name="_from_string"></a>
        <div class="functionHeader">
        
        def _from_string(self, data):
        
      </div>
        <div class="functionBody">
          
          <div>Convert a string to the data type of the widget This may raise a <a 
href="kiwi.datatypes.ValidationError.html"><code>kiwi.datatypes.ValidationError</code></a>
if conversion failed
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">data</td><td>data to convert
</td></tr></table></div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>